# eric3.VCS.LoginDialog

Module implementing a dialog to enter the login data for a VCS system.

### Classes

vcsLoginDialog | Class implementing a dialog to enter the login data for a VCS system.

### Functions

None

## vcsLoginDialog

Class implementing a dialog to enter the login data for a VCS system.

### Derived from

vcsLoginForm

### Methods

vcsLoginDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleVcsSelected | Private slot used to populate the protocol combobox.

### vcsLoginDialog (Constructor)

vcsLoginDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### vcsLoginDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of 5 strings (vcs system, username, password, remote hostname and repository).

### vcsLoginDialog.handleVcsSelected

handleVcsSelected(vcs)

Private slot used to populate the protocol combobox.

vcs
  the selected version control system (QString)

Up